cURL
curl --request GET \
--url https://api.recoupable.dev/api/chats/{id}/artistimport requests
url = "https://api.recoupable.dev/api/chats/{id}/artist"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.recoupable.dev/api/chats/{id}/artist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artist_exists": true
}{
"status": "error",
"error": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"status": "error",
"error": "<string>"
}Chats
Get Chat Artist
Retrieve the artist associated with a specific chat room. Returns 404 if the chat does not exist or is not accessible by the authenticated caller.
GET
/
api
/
chats
/
{id}
/
artist
cURL
Path Parameters
The unique identifier (UUID) of the chat room.
Response
Chat artist resolved successfully
Status of the request
Available options:
success Example:
"success"
UUID of the chat room
UUID of the artist account associated with the chat, or null when no artist is linked
Whether an artist is linked to the chat room
Was this page helpful?
